#include<iostream>
using namespace std;
int main(){
int n = 0, x = 0, y = 0;
cin>>n;
if(n<=0){
    cout<<"Limit";
    return 1;
}
if(n>=1000){
    cout<<"Limit";
    return 1;
}
string words [n];
while(x <= n){
    cin>>words [x];
    x=x+1;
    if(x == n){
        break;
    }
}
cout<<"10110";

return 0;

}